Package io.papermc.paper.event.entity

# Class EntityMoveEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
io.papermc.paper.event.entity.EntityMoveEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityMoveEvent extends EntityEvent implements Cancellable
Holds information for living entity movement events

Does not fire for players; use `PlayerMoveEvent` for player movement.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityMoveEvent(@NotNull LivingEntity entity, @NotNull Location from, @NotNull Location to)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull LivingEntity`
`getEntity()`
Returns the Entity involved in this event
`@NotNull Location`
`getFrom()`
Gets the location this entity moved from
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Location`
`getTo()`
Gets the location this entity moved to
`boolean`
`hasChangedBlock()`
Check if the entity has moved to a new block in the event
`boolean`
`hasChangedOrientation()`
Check if the entity has changed orientation in the event
`boolean`
`hasChangedPosition()`
Check if the entity has changed position (even within the same block) in the event
`boolean`
`hasExplicitlyChangedBlock()`
Check if the entity has moved to a new block in the event, disregarding a possible world change
`boolean`
`hasExplicitlyChangedPosition()`
Check if the entity has changed position (even within the same block) in the event, disregarding a possible world change
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setFrom(@NotNull Location from)`
Sets the location to mark as where the entity moved from
`void`
`setTo(@NotNull Location to)`
Sets the location that this entity will move to

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityMoveEvent

public EntityMoveEvent(@NotNull @NotNull LivingEntity entity, @NotNull @NotNull Location from, @NotNull @NotNull Location to)

## Method Details

### getEntity

@NotNull public @NotNull LivingEntity getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getFrom

@NotNull public @NotNull Location getFrom()
Gets the location this entity moved from

Returns:
  Location the entity moved from

### setFrom

public void setFrom(@NotNull @NotNull Location from)
Sets the location to mark as where the entity moved from

Parameters:
  `from` - New location to mark as the entity's previous location

### getTo

@NotNull public @NotNull Location getTo()
Gets the location this entity moved to

Returns:
  Location the entity moved to

### setTo

public void setTo(@NotNull @NotNull Location to)
Sets the location that this entity will move to

Parameters:
  `to` - New Location this entity will move to

### hasChangedPosition

public boolean hasChangedPosition()
Check if the entity has changed position (even within the same block) in the event

Returns:
  whether the entity has changed position or not

### hasExplicitlyChangedPosition

public boolean hasExplicitlyChangedPosition()
Check if the entity has changed position (even within the same block) in the event, disregarding a possible world change

Returns:
  whether the entity has changed position or not

### hasChangedBlock

public boolean hasChangedBlock()
Check if the entity has moved to a new block in the event

Returns:
  whether the entity has moved to a new block or not

### hasExplicitlyChangedBlock

public boolean hasExplicitlyChangedBlock()
Check if the entity has moved to a new block in the event, disregarding a possible world change

Returns:
  whether the entity has moved to a new block or not

### hasChangedOrientation

public boolean hasChangedOrientation()
Check if the entity has changed orientation in the event

Returns:
  whether the entity has changed orientation or not

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()